Package com.stardog.stark.vocabs

# Class RDF

java.lang.Object
com.stardog.stark.vocabs.RDF

public final class RDF extends Object

Constants for the RDF language

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `ALT`
  `static final IRI`
  `BAG`
  `static final IRI`
  `FIRST`
  `static final IRI`
  `HTML`
  `static final IRI`
  `LANG_STRING`
  `static final IRI`
  `LI`
  `static final IRI`
  `LIST`
  `static final String`
  `NAMESPACE`
  `static final IRI`
  `NIL`
  `static final IRI`
  `OBJECT`
  `static final IRI`
  `PREDICATE`
  `static final IRI`
  `PROPERTY`
  `static final IRI`
  `REST`
  `static final IRI`
  `SEQ`
  `static final IRI`
  `STATEMENT`
  `static final IRI`
  `SUBJECT`
  `static final IRI`
  `TYPE`
  `static final IRI`
  `VALUE`
  `static final IRI`
  `XMLLITERAL`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### ALT

    public static final IRI ALT

  - ### BAG

    public static final IRI BAG

  - ### FIRST

    public static final IRI FIRST

  - ### HTML

    public static final IRI HTML

  - ### LANG_STRING

    public static final IRI LANG_STRING

  - ### LI

    public static final IRI LI

  - ### LIST

    public static final IRI LIST

  - ### NIL

    public static final IRI NIL

  - ### OBJECT

    public static final IRI OBJECT

  - ### PREDICATE

    public static final IRI PREDICATE

  - ### PROPERTY

    public static final IRI PROPERTY

  - ### REST

    public static final IRI REST

  - ### STATEMENT

    public static final IRI STATEMENT

  - ### SEQ

    public static final IRI SEQ

  - ### SUBJECT

    public static final IRI SUBJECT

  - ### TYPE

    public static final IRI TYPE

  - ### VALUE

    public static final IRI VALUE

  - ### XMLLITERAL

    public static final IRI XMLLITERAL